OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.BindableUniform

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_bindable_uniform extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/EXT/bindable_uniform.txt.

Synopsis

- glUniformBuffer :: GLuint -> GLint -> GLuint -> IO ()
- glGetUniformBufferSize :: GLuint -> GLint -> IO GLint
- glGetUniformOffset :: GLuint -> GLint -> IO GLintptr
- gl_MAX_VERTEX_BINDABLE_UNIFORMS :: GLenum
- gl_MAX_FRAGMENT_BINDABLE_UNIFORMS :: GLenum
- gl_MAX_GEOMETRY_BINDABLE_UNIFORMS :: GLenum
- gl_MAX_BINDABLE_UNIFORM_SIZE :: GLenum
- gl_UNIFORM_BUFFER_BINDING_EXT :: GLenum
- gl_UNIFORM_BUFFER_EXT :: GLenum

# Functions

glUniformBuffer :: GLuint -> GLint -> GLuint -> IO ()

glGetUniformBufferSize :: GLuint -> GLint -> IO GLint

glGetUniformOffset :: GLuint -> GLint -> IO GLintptr

# Tokens

gl_MAX_VERTEX_BINDABLE_UNIFORMS :: GLenum

gl_MAX_FRAGMENT_BINDABLE_UNIFORMS :: GLenum

gl_MAX_GEOMETRY_BINDABLE_UNIFORMS :: GLenum

gl_MAX_BINDABLE_UNIFORM_SIZE :: GLenum

gl_UNIFORM_BUFFER_BINDING_EXT :: GLenum

NOTE: The OpenGL 3.1 core has the same token with a different value, so we use a suffix here.

gl_UNIFORM_BUFFER_EXT :: GLenum

NOTE: The OpenGL 3.1 core has the same token with a different value, so we use a suffix here.